# $Revision: 1.24.2.2 $, $Date: 2003/04/28 12:51:54 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Unicode
%define	pnam	Map
Summary:	Perl Unicode::Map module
Summary(pl):	Modu Perla Unicode::Map
Name:		perl-Unicode-Map
Version:	0.112
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Startup
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unicode::Map module converts strings from and to Unicode UCS2 format.

%description -l pl
Modu Unicode::Map konwertuje acuchy znakw na format Unicode UCS2 i
odwrotnie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(644,root,root,755)
%doc README Changes
%attr(755,root,root) %{_bindir}/*
%{perl_sitearch}/Unicode/Map
%{perl_sitearch}/Unicode/Map.pm
%dir %{perl_sitearch}/auto/Unicode/Map
%{perl_sitearch}/auto/Unicode/Map/Map.bs
%attr(755,root,root) %{perl_sitearch}/auto/Unicode/Map/Map.so
%{_mandir}/man[13]/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Unicode-Map.spec,v $
Revision 1.24.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.24.2.1  2003/03/13 00:59:19  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.24  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:39:07  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.21  2002/07/11 08:05:53  depesz
- new version; should work; STBR

Revision 1.20  2002/07/10 09:02:39  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:35:31  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:21:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:37:15  depesz
adapterized

Revision 1.14  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.12  2001/04/17 12:18:06  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/26 02:25:43  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/08/27 13:56:06  kloczek
- updated to 0.110.

Revision 1.8  2000/08/10 21:58:11  kloczek
- updated to 0.109.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 18:05:25  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  1999/11/05 23:56:12  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules
- release++

Revision 1.2  1999/09/28 12:28:42  pius
- removed directories owned by perl-mod-skel from package
- release up

Revision 1.1  1999/09/26 17:10:56  pius
- initial release

based on autogenerated spec file from RH
